<div class="row">
    <div class="col-md-12">
            <nb-card>
                <nb-card-header>Report Data Pricing</nb-card-header>
                <nb-card-body>
                <form>
                    <div class="form-group row">
                  
                    <label for="inputEmail1" class="label col-sm-2 col-form-label">Date From</label>
                    <div class="col-sm-3">
                            <input type="date" [(ngModel)]="DTA.DATE_FROM" nbInput fullWidth id="inputEmail1" placeholder="Please Type" [ngModelOptions]="{standalone: true}">
                     </div>
                     <label for="inputEmail1" class="label col-sm-2 col-form-label">Material Name</label>
                     <div class="col-sm-3">
                         <input style="display:none;" type="text" [(ngModel)]="DTA.ID" nbInput fullWidth id="inputEmail1" placeholder="Please Type" [ngModelOptions]="{standalone: true}">
                         <!-- <mat-form-field>
                             <mat-select (selectionChange)="getMaterialCd(DTA.MATERIAL)"  placeholder="Please Select" [(value)]="DTA.MATERIAL" >
                               <mat-option *ngFor="let DTA of materialData" [value]="DTA.MATERIAL">
                                 {{DTA.MATERIAL}} - {{DTA.MaterialDescription}}
                               </mat-option>
                             </mat-select>
                           </mat-form-field> -->
                           <mat-form-field>
                            <mat-select  (selectionChange)="getMaterialCd(DTA.MATERIAL)"  required placeholder="Please Select" [(value)]="DTA.MATERIAL" #singleSelect>
                              <mat-option>
                                <ngx-mat-select-search noEntriesFoundLabel="No matching material found" placeholderLabel="Searching Material..." [formControl]="matFilterCtrl"></ngx-mat-select-search>
                              </mat-option>
                              <mat-option *ngFor="let DTA of filteredMatsFinal" [value]="DTA.MATERIAL">
                                {{DTA.MaterialDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>

                     </div>
                    </div>
                    <div class="form-group row">
                        
                        <label for="inputEmail1" class="label col-sm-2 col-form-label">Date To</label>
                        <div class="col-sm-3">
                                <input type="date" [(ngModel)]="DTA.DATE_TO" nbInput fullWidth id="inputEmail1" placeholder="Please Type" [ngModelOptions]="{standalone: true}">
                         </div>
                         <label for="inputEmail1" class="label col-sm-2 col-form-label">Price Type</label>
                        <div class="col-sm-3">
                            <mat-form-field>
                                <mat-select placeholder="Please Select" [(value)]="DTA.PRICETYPE" >
                                  <mat-option *ngFor="let DTA of prcTypeData" [value]="DTA.PRICETYPE">
                                    {{DTA.PriceTypeName}}
                                  </mat-option>
                                </mat-select>
                              </mat-form-field>
                        </div>
                    </div>
                    <div class="form-group row">
                    <div class="offset-sm-7">
                        <button [hidden]="ReportMode" [disabled]="isFormValid()"  size="small"   type="submit" nbButton status="primary" (click)="getMaterialFilter()"  ><nb-icon icon="maximize-outline"></nb-icon>Display</button>
                        &nbsp;<button  size="small" [disabled]="!ReportMode"  type="submit" nbButton status="primary" (click)="clearData()"><nb-icon icon="sync-outline"></nb-icon>Clear</button>
                    </div>
                    </div>
                </form>
                <div style="overflow-x:auto;">
                    <!-- <button style="margin-bottom:10px;" size="tiny" type="submit"  nbButton outline status="success"><nb-icon icon="printer-outline"></nb-icon>Excel</button> -->
                    <table id="example"  class="table table-striped table-bordered table-sm row-border hover" datatable [dtOptions]="dtOptions"
                    [dtTrigger]="dtTrigger">
                    <thead>
                        <tr>
                        <th style="text-align: center;">Material Desc</th>
                        <th style="text-align: center;">Price Type</th>
                        <th style="text-align: center;">Currency</th>
                        <th style="text-align: center;">Price</th>
                        <th style="text-align: center;">Date</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let dt of DataPrice">
                            <td style="text-align: left;">{{dt.DESCRIPTION}}</td>
                            <td style="text-align: center;">{{dt.PRICETYPE}}</td>
                            <td style="text-align: center;">{{dt.CURRENCY}}</td>
                            <td style="text-align: right;">{{dt.PRICE | number}}</td>
                            <td style="text-align: center;">{{dt.DATE | date}}</td>
                        </tr>
                    </tbody>        
                    </table>
                </div>
                </nb-card-body>
            </nb-card>
        </div> 
</div>